{"openapi":"3.1.0","info":{"title":"RocketReach API","version":"1.0.0","description":"The RocketReach API lets you search and retrieve contact info for 700M+ professionals and 35M\n    companies. Manage API settings, track usage, and find your API key on the account page.\n    All API calls require authentication via API key.\n    If you have any questions, please reach out to our team at api@rocketreach.co.\n    </br><span style=\"font-size:1.8rem; pass\">Quickstart</span>\n        1. Create an API key: Select “Generate New API Key” on your Account Settings page\n        2. Test API Key: You can test API endpoints directly in our documentation without writing a single line of code.\n            - Select an endpoint (GET /person/lookup for example)\n            - Select “Try It”\n            - Enter your API Key to send the request\n        3. Create Webhook (optional, but recommended): We offer a webhook solution for person lookups so clients do not need to poll the check status endpoint until their results are available.\n            - To set up a webhook, go to your API settings. Enter your server's callback URL into the field, and hit \"Create\".\n            - For each URL created, you can perform some basic maintenance tasks:\n                - Test the webhook - we will attempt to send a basic JSON payload to the URL.\n                - Disable/enable - if you may use this URL in the future, this is an option to temporarily disable it.\n                - Delete - if you no longer plan using this URL, it can be deleted.\n    </br><span style=\"font-size:1.8rem;pass\">Rate Limits</span>\n        - [Rate Limits](../guides/rate-limits.md)\n    </br><span style=\"font-size:1.8rem; pass\">FAQ</span>\n        - [FAQ](../guides/faq.md)\n    ","contact":{"name":"RocketReach Support","email":"api@rocketreach.co"}},"paths":{"/account/":{"get":{"operationId":"get_account","description":"Retrieve & Manage Account Details","summary":"RocketReach API Account","tags":["Account"],"security":[{"RocketReachAPIKey":[]}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserModel"}}},"description":"Success. Returns the account object."},"400":{"description":"Bad Request. The request is malformed or missing required parameters."},"401":{"description":"Unauthorized. API Key is missing or invalid."},"403":{"description":"Forbidden. API Key lacks permission to perform this action."},"404":{"description":"Not Found. The requested resource (e.g., profile) does not exist."},"429":{"description":"Too Many Requests. API request limit reached -- slow down requests."},"500":{"description":"Internal Server Error. Unexpected error on RocketReach servers. Try again later."}},"x-code-samples":[{"lang":"Python","source":"\n                        result = rr.account.get()\n                        if result.is_success:\n                            account = result.account\n                        "}]}},"/account/key/":{"post":{"operationId":"create_new_api_key","description":"Create New API Key","summary":"Get a RocketReach API Account","tags":["Account"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIKey"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/APIKey"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/APIKey"}}},"required":true},"security":[{"RocketReachAPIKey":[]}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIKey"}}},"description":"Success. Returns the new API key."},"400":{"description":"Bad Request. The request is malformed or missing required parameters."},"401":{"description":"Unauthorized. API Key is missing or invalid."},"403":{"description":"Forbidden. API Key lacks permission to perform this action."},"404":{"description":"Not Found. The requested resource (e.g., profile) does not exist."},"429":{"description":"Too Many Requests. API request limit reached -- slow down requests."},"500":{"description":"Internal Server Error. Unexpected error on RocketReach servers. Try again later."}}}},"/searchCompany":{"post":{"operationId":"create_company_search","description":"Search Companies by Criteria","summary":"Company Search API","tags":["Company Data API"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIPublicCompiledCompanySearchInput"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/APIPublicCompiledCompanySearchInput"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/APIPublicCompiledCompanySearchInput"}}},"required":true},"security":[{"RocketReachAPIKey":[]}],"responses":{"201":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CompiledCompanyPublicDetails"}}}},"description":"Success. Companies search request accepted"},"400":{"description":"Bad Request. The request is malformed or missing required parameters."},"401":{"description":"Unauthorized. API Key is missing or invalid."},"403":{"description":"Forbidden. API Key lacks permission to perform this action."},"404":{"description":"Not Found. The requested resource (e.g., profile) does not exist."},"429":{"description":"Too Many Requests. API request limit reached -- slow down requests."},"500":{"description":"Internal Server Error. Unexpected error on RocketReach servers. Try again later."}}}},"/person/lookup":{"get":{"operationId":"create_person_lookup","description":"Person Enrichment API","summary":"People Lookup API","parameters":[{"in":"query","name":"current_employer","schema":{"type":"string","minLength":1},"description":"Current employer of the desired profile. Must specify along with `name`.\n- Example: `RocketReach`"},{"in":"query","name":"email","schema":{"type":"string","format":"email","minLength":1},"description":"An email address for the desired profile.\n- Example: `jamie@rocketreach.co`"},{"in":"query","name":"id","schema":{"type":"integer"},"description":"RocketReach internal unique profile ID.\n- Example: `123456`"},{"in":"query","name":"linkedin_ext_url","schema":{"type":"string","pattern":"","minLength":1},"description":"linkedin_ext_url deprecated, please use `linkedin_url` instead","deprecated":true},{"in":"query","name":"linkedin_url","schema":{"type":"string","pattern":"","minLength":1},"description":"LinkedIn URL of the desired profile.\n- Example: `www.linkedin.com/in/jamesgullbrand`"},{"in":"query","name":"lookup_type","schema":{"enum":["standard","premium","premium (feeds disabled)","bulk","phone","enrich","",null],"type":["string","null"]},"description":"Lookup type for the request\n\n* `standard` - standard\n* `premium` - premium\n* `premium (feeds disabled)` - premium (feeds disabled)\n* `bulk` - bulk\n* `phone` - phone\n* `enrich` - enrich"},{"in":"query","name":"metadata","schema":{"type":["object","null"],"additionalProperties":{}},"description":"User metadata about the profile, such as external ids, tags, notes, etc."},{"in":"query","name":"name","schema":{"type":"string","minLength":1},"description":"Name of the desired profile. Must specify along with `current_employer`.\n- Example: `Jamie Gullbrand`"},{"in":"query","name":"npi_number","schema":{"type":"integer"},"description":"An NPI number for the desired profile (US healthcare professional).\n- Example: `1234567890`"},{"in":"query","name":"phone","schema":{"type":"string","minLength":1},"description":"A phone number for the desired profile in either E.164 format or international format.\n- Example: `+15555555555`"},{"in":"query","name":"return_cached_emails","schema":{"type":"boolean","default":true},"description":"Controls whether cached emails are included in the initial response when `lookup status = progress`. When set to `false`, all email fields will be null until the lookup is complete and all emails are fully verified. Use /checkStatus or Webhooks to retrieve the completed response with fully verified emails (`status = complete`). Defaults to `true`."},{"in":"query","name":"title","schema":{"type":"string","minLength":1},"description":"Job title of the desired profile.\n- Example: `Product Manager`"},{"in":"query","name":"webhook_id","schema":{"type":"integer"},"description":"Your webhook's unique ID number. Find it in your API Usage & Settings page."}],"tags":["People Data API"],"security":[{"RocketReachAPIKey":[]}],"responses":{"200":{"headers":{"RR-Request-ID":{"schema":{"type":"string","format":"uuid"},"description":"Lookup unique identifier, will also be sent in the header of webhook."}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProfileAPIWithMetadataCompiledCompany"}}},"description":"Success. Returns the profile data for the person lookup."},"400":{"headers":{"RR-Request-ID":{"schema":{"type":"string","format":"uuid"},"description":"Lookup unique identifier, will also be sent in the header of webhook."}},"description":"Bad Request. The request is malformed or missing required parameters."},"401":{"headers":{"RR-Request-ID":{"schema":{"type":"string","format":"uuid"},"description":"Lookup unique identifier, will also be sent in the header of webhook."}},"description":"Unauthorized. API Key is missing or invalid."},"403":{"headers":{"RR-Request-ID":{"schema":{"type":"string","format":"uuid"},"description":"Lookup unique identifier, will also be sent in the header of webhook."}},"description":"Forbidden. API Key lacks permission to perform this action."},"404":{"headers":{"RR-Request-ID":{"schema":{"type":"string","format":"uuid"},"description":"Lookup unique identifier, will also be sent in the header of webhook."}},"description":"Not Found. The requested resource (e.g., profile) does not exist."},"429":{"headers":{"RR-Request-ID":{"schema":{"type":"string","format":"uuid"},"description":"Lookup unique identifier, will also be sent in the header of webhook."}},"description":"Too Many Requests. API request limit reached -- slow down requests."},"500":{"headers":{"RR-Request-ID":{"schema":{"type":"string","format":"uuid"},"description":"Lookup unique identifier, will also be sent in the header of webhook."}},"description":"Internal Server Error. Unexpected error on RocketReach servers. Try again later."}}}},"/person/checkStatus":{"get":{"operationId":"check_person_lookup_status","description":"Check Person Lookup Status","summary":"People Lookup Status API","parameters":[{"in":"query","name":"ids","schema":{"type":"array","items":{"type":"integer"}},"description":"List of Profile IDs"}],"tags":["People Data API"],"security":[{"RocketReachAPIKey":[]}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ProfileAPICompiledCompany"}}}},"description":"Success. Returns the status and profile data of the requested profiles."},"400":{"description":"Bad Request. The request is malformed or missing required parameters."},"401":{"description":"Unauthorized. API Key is missing or invalid."},"403":{"description":"Forbidden. API Key lacks permission to perform this action."},"404":{"description":"Not Found. The requested resource (e.g., profile) does not exist."},"429":{"description":"Too Many Requests. API request limit reached -- slow down requests."},"500":{"description":"Internal Server Error. Unexpected error on RocketReach servers. Try again later."}}}},"/person/search":{"post":{"operationId":"create_person_search","description":"Search People by Criteria","summary":"People Search API","tags":["People Data API"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/APISearchInput"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/APISearchInput"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/APISearchInput"}}},"required":true},"security":[{"RocketReachAPIKey":[]}],"responses":{"201":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ProfileSearchResultSerializerBase"}}}},"description":"Success. People search request accepted"},"400":{"description":"Bad Request. The request is malformed or missing required parameters."},"401":{"description":"Unauthorized. API Key is missing or invalid."},"403":{"description":"Forbidden. API Key lacks permission to perform this action."},"404":{"description":"Not Found. The requested resource (e.g., profile) does not exist."},"429":{"description":"Too Many Requests. API request limit reached -- slow down requests."},"500":{"description":"Internal Server Error. Unexpected error on RocketReach servers. Try again later."}},"x-code-samples":[{"lang":"bash","source":"\n                curl --request 'POST' --location 'https://api.rocketreach.co/api/v2/person/search'\\\n                 --header 'Content-Type: application/json'\\\n                 --data '{\"query\":{\"keyword\":[\"Marc Benioff\"]},\"order_by\":\"popularity\"}'\n            "},{"lang":"Python","source":"\n                search = rr.person.search()\n                search = search.filter(current_title='Software Engineer')\n                search = search.options(order_by='popularity')\n                result = search.execute()\n                result.people\n            "},{"lang":"Javascript","source":"\n                let search = rr.people.search()\n                search = search.include({name: \"John Smith\"})\n                search = search.include({currentTitle: \"CEO\"})\n                const results =  await search.execute()\n            "}]}},"/company/lookup/":{"get":{"operationId":"create_company_lookup","description":"Search Companies by Criteria","summary":"Company Lookup API","parameters":[{"in":"query","name":"domain","schema":{"type":"string","minLength":1},"description":"Domain of the desired company to lookup (preferred)."},{"in":"query","name":"id","schema":{"type":"integer"},"description":"RocketReach internal unique company ID"},{"in":"query","name":"linkedin_url","schema":{"type":"string","pattern":"","minLength":1},"description":"LinkedIn URL of the desired company to lookup."},{"in":"query","name":"name","schema":{"type":"string","minLength":1},"description":"Name of the desired company to lookup."},{"in":"query","name":"ticker","schema":{"type":"string","minLength":1},"description":"Stock ticker of the desired company to lookup."}],"tags":["Company Data API"],"security":[{"RocketReachAPIKey":[]}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CompiledCompanyAPISerializerWithExtendedCompanyAttributes"}}},"description":"Success. Returns the profile data for the company lookup."},"400":{"description":"Bad Request. The request is malformed or missing required parameters."},"401":{"description":"Unauthorized. API Key is missing or invalid."},"403":{"description":"Forbidden. API Key lacks permission to perform this action."},"404":{"description":"Not Found. The requested resource (e.g., profile) does not exist."},"429":{"description":"Too Many Requests. API request limit reached -- slow down requests."},"500":{"description":"Internal Server Error. Unexpected error on RocketReach servers. Try again later."}}}},"/profile-company/lookup":{"get":{"operationId":"create_person_and_company_lookup","description":"Person and Company Lookup","summary":"People and Company Lookup API","parameters":[{"in":"query","name":"current_employer","schema":{"type":"string","minLength":1},"description":"Current employer of the desired profile. Must specify along with `name`.\n- Example: `RocketReach`"},{"in":"query","name":"email","schema":{"type":"string","format":"email","minLength":1},"description":"An email address for the desired profile.\n- Example: `jamie@rocketreach.co`"},{"in":"query","name":"id","schema":{"type":"integer"},"description":"RocketReach internal unique profile ID.\n- Example: `123456`"},{"in":"query","name":"linkedin_ext_url","schema":{"type":"string","pattern":"","minLength":1},"description":"linkedin_ext_url deprecated, please use `linkedin_url` instead","deprecated":true},{"in":"query","name":"linkedin_url","schema":{"type":"string","pattern":"","minLength":1},"description":"LinkedIn URL of the desired profile.\n- Example: `www.linkedin.com/in/jamesgullbrand`"},{"in":"query","name":"lookup_type","schema":{"enum":["standard","premium","premium (feeds disabled)","bulk","phone","enrich","",null],"type":["string","null"]},"description":"Lookup type for the request\n\n* `standard` - standard\n* `premium` - premium\n* `premium (feeds disabled)` - premium (feeds disabled)\n* `bulk` - bulk\n* `phone` - phone\n* `enrich` - enrich"},{"in":"query","name":"metadata","schema":{"type":["object","null"],"additionalProperties":{}},"description":"User metadata about the profile, such as external ids, tags, notes, etc."},{"in":"query","name":"name","schema":{"type":"string","minLength":1},"description":"Name of the desired profile. Must specify along with `current_employer`.\n- Example: `Jamie Gullbrand`"},{"in":"query","name":"npi_number","schema":{"type":"integer"},"description":"An NPI number for the desired profile (US healthcare professional).\n- Example: `1234567890`"},{"in":"query","name":"phone","schema":{"type":"string","minLength":1},"description":"A phone number for the desired profile in either E.164 format or international format.\n- Example: `+15555555555`"},{"in":"query","name":"return_cached_emails","schema":{"type":"boolean","default":true},"description":"Controls whether cached emails are included in the initial response when `lookup status = progress`. When set to `false`, all email fields will be null until the lookup is complete and all emails are fully verified. Use /checkStatus or Webhooks to retrieve the completed response with fully verified emails (`status = complete`). Defaults to `true`."},{"in":"query","name":"title","schema":{"type":"string","minLength":1},"description":"Job title of the desired profile.\n- Example: `Product Manager`"},{"in":"query","name":"webhook_id","schema":{"type":"integer"},"description":"Your webhook's unique ID number. Find it in your API Usage & Settings page."}],"tags":["People Data API","Company Data API"],"security":[{"RocketReachAPIKey":[]}],"responses":{"200":{"headers":{"RR-Request-ID":{"schema":{"type":"string","format":"uuid"},"description":"Lookup unique identifier, will also be sent in the header of webhook."}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProfileAPISerializerWithCompiledCompany"}}},"description":"Success. Returns the profile data and company data for the person / company lookup."},"400":{"headers":{"RR-Request-ID":{"schema":{"type":"string","format":"uuid"},"description":"Lookup unique identifier, will also be sent in the header of webhook."}},"description":"Bad Request. The request is malformed or missing required parameters."},"401":{"headers":{"RR-Request-ID":{"schema":{"type":"string","format":"uuid"},"description":"Lookup unique identifier, will also be sent in the header of webhook."}},"description":"Unauthorized. API Key is missing or invalid."},"403":{"headers":{"RR-Request-ID":{"schema":{"type":"string","format":"uuid"},"description":"Lookup unique identifier, will also be sent in the header of webhook."}},"description":"Forbidden. API Key lacks permission to perform this action."},"404":{"headers":{"RR-Request-ID":{"schema":{"type":"string","format":"uuid"},"description":"Lookup unique identifier, will also be sent in the header of webhook."}},"description":"Not Found. The requested resource (e.g., profile) does not exist."},"429":{"headers":{"RR-Request-ID":{"schema":{"type":"string","format":"uuid"},"description":"Lookup unique identifier, will also be sent in the header of webhook."}},"description":"Too Many Requests. API request limit reached -- slow down requests."},"500":{"headers":{"RR-Request-ID":{"schema":{"type":"string","format":"uuid"},"description":"Lookup unique identifier, will also be sent in the header of webhook."}},"description":"Internal Server Error. Unexpected error on RocketReach servers. Try again later."}}}},"/bulkLookup":{"post":{"operationId":"create_person_bulk_lookup","description":"Bulk People Lookup by Criteria","summary":"Bulk People Lookup API","tags":["People Data API"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIBulkLookupQuery"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/APIBulkLookupQuery"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/APIBulkLookupQuery"}}},"required":true},"security":[{"RocketReachAPIKey":[]}],"responses":{"200":{"headers":{"RR-Request-ID":{"schema":{"type":"string","format":"uuid"},"description":"Lookup unique identifier, will also be sent in the header of webhook."}},"description":"Success. Bulk lookup request accepted"},"400":{"headers":{"RR-Request-ID":{"schema":{"type":"string","format":"uuid"},"description":"Lookup unique identifier, will also be sent in the header of webhook."}},"description":"Bad Request. The request is malformed or missing required parameters."},"401":{"headers":{"RR-Request-ID":{"schema":{"type":"string","format":"uuid"},"description":"Lookup unique identifier, will also be sent in the header of webhook."}},"description":"Unauthorized. API Key is missing or invalid."},"403":{"headers":{"RR-Request-ID":{"schema":{"type":"string","format":"uuid"},"description":"Lookup unique identifier, will also be sent in the header of webhook."}},"description":"Forbidden. API Key lacks permission to perform this action."},"404":{"headers":{"RR-Request-ID":{"schema":{"type":"string","format":"uuid"},"description":"Lookup unique identifier, will also be sent in the header of webhook."}},"description":"Not Found. The requested resource (e.g., profile) does not exist."},"429":{"headers":{"RR-Request-ID":{"schema":{"type":"string","format":"uuid"},"description":"Lookup unique identifier, will also be sent in the header of webhook."}},"description":"Too Many Requests. API request limit reached -- slow down requests."},"500":{"headers":{"RR-Request-ID":{"schema":{"type":"string","format":"uuid"},"description":"Lookup unique identifier, will also be sent in the header of webhook."}},"description":"Internal Server Error. Unexpected error on RocketReach servers. Try again later."}}}},"/email/verify/":{"post":{"operationId":"create_email_verify","description":"Verify whether one email address can receive mail. Charges one email verification credit, refunded when the result is `unknown` or the email is incorrectly formatted.","summary":"Email Verify API","tags":["Email Verification API"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmailVerifyInput"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/EmailVerifyInput"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/EmailVerifyInput"}}},"required":true},"security":[{"RocketReachAPIKey":[]}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmailVerifyOutput"}}},"description":"Success. The address was verified."},"400":{"description":"Bad Request. The request is malformed or missing required parameters."},"401":{"description":"Unauthorized. API Key is missing or invalid."},"402":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmailVerifyInsufficientCredits"}}},"description":"Payment Required. The account has no email verification credits remaining."},"403":{"description":"Forbidden. API Key lacks permission to perform this action."},"404":{"description":"Not Found. The requested resource (e.g., profile) does not exist."},"429":{"description":"Too Many Requests. API request limit reached -- slow down requests."},"500":{"description":"Internal Server Error. Unexpected error on RocketReach servers. Try again later."}}}},"/universal/account/":{"get":{"operationId":"get_universal_account","description":"Retrieve & Manage Account Details","summary":"⭐ RocketReach Universal API Account","tags":["Account"],"security":[{"RocketReachAPIKey":[]}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UniversalCreditsUserModelWithExtraAttributes"}}},"description":"Success. Returns the account object."},"400":{"description":"Bad Request. The request is malformed or missing required parameters."},"401":{"description":"Unauthorized. API Key is missing or invalid."},"403":{"description":"Forbidden. API Key lacks permission to perform this action."},"404":{"description":"Not Found. The requested resource (e.g., profile) does not exist."},"429":{"description":"Too Many Requests. API request limit reached -- slow down requests."},"500":{"description":"Internal Server Error. Unexpected error on RocketReach servers. Try again later."}}}},"/universal/person/search":{"post":{"operationId":"create_universal_person_search","description":"Search People by Criteria","summary":"⭐ Universal People Search API","tags":["People Data API"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIUniversalCreditsSearchInput"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/APIUniversalCreditsSearchInput"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/APIUniversalCreditsSearchInput"}}},"required":true},"security":[{"RocketReachAPIKey":[]}],"responses":{"201":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UniversalCreditPersonSearchOutput"}}}},"description":"Success. People search request accepted"},"400":{"description":"Bad Request. The request is malformed or missing required parameters."},"401":{"description":"Unauthorized. API Key is missing or invalid."},"403":{"description":"Forbidden. API Key lacks permission to perform this action."},"404":{"description":"Not Found. The requested resource (e.g., profile) does not exist."},"429":{"description":"Too Many Requests. API request limit reached -- slow down requests."},"500":{"description":"Internal Server Error. Unexpected error on RocketReach servers. Try again later."}},"x-code-samples":[{"lang":"bash","source":"\n                curl --request 'POST' --location 'https://api.rocketreach.co/api/v2/universal/person/search'\\\n                 --header 'Content-Type: application/json'\\\n                 --data '{\"query\":{\"keyword\":[\"Marc Benioff\"]},\"order_by\":\"popularity\"}'\n            "}]}},"/universal/company/search":{"post":{"operationId":"create_universal_company_search","description":"Search Companies by Criteria","summary":"⭐ Universal Company Search API","tags":["Company Data API"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIUniversalCreditsPublicCompiledCompanySearchInput"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/APIUniversalCreditsPublicCompiledCompanySearchInput"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/APIUniversalCreditsPublicCompiledCompanySearchInput"}}},"required":true},"security":[{"RocketReachAPIKey":[]}],"responses":{"201":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UniversalCreditCompanySearchOutput"}}}},"description":"Success. Companies search request accepted"},"400":{"description":"Bad Request. The request is malformed or missing required parameters."},"401":{"description":"Unauthorized. API Key is missing or invalid."},"403":{"description":"Forbidden. API Key lacks permission to perform this action."},"404":{"description":"Not Found. The requested resource (e.g., profile) does not exist."},"429":{"description":"Too Many Requests. API request limit reached -- slow down requests."},"500":{"description":"Internal Server Error. Unexpected error on RocketReach servers. Try again later."}}}},"/universal/person/lookup":{"get":{"operationId":"create_universal_person_lookup","description":"Person Enrichment API","summary":"⭐ Universal People Lookup API","parameters":[{"in":"query","name":"current_employer","schema":{"type":"string","minLength":1},"description":"Current employer of the desired profile. Must specify along with `name`.\n- Example: `RocketReach`"},{"in":"query","name":"email","schema":{"type":"string","format":"email","minLength":1},"description":"An email address for the desired profile.\n- Example: `jamie@rocketreach.co`"},{"in":"query","name":"id","schema":{"type":"integer"},"description":"RocketReach internal unique profile ID.\n- Example: `123456`"},{"in":"query","name":"linkedin_ext_url","schema":{"type":"string","pattern":"","minLength":1},"description":"linkedin_ext_url deprecated, please use `linkedin_url` instead","deprecated":true},{"in":"query","name":"linkedin_url","schema":{"type":"string","pattern":"","minLength":1},"description":"LinkedIn URL of the desired profile.\n- Example: `www.linkedin.com/in/jamesgullbrand`"},{"in":"query","name":"metadata","schema":{"type":["object","null"],"additionalProperties":{}},"description":"User metadata about the profile, such as external ids, tags, notes, etc."},{"in":"query","name":"name","schema":{"type":"string","minLength":1},"description":"Name of the desired profile. Must specify along with `current_employer`.\n- Example: `Jamie Gullbrand`"},{"in":"query","name":"npi_number","schema":{"type":"integer"},"description":"An NPI number for the desired profile (US healthcare professional).\n- Example: `1234567890`"},{"in":"query","name":"phone","schema":{"type":"string","minLength":1},"description":"A phone number for the desired profile in either E.164 format or international format.\n- Example: `+15555555555`"},{"in":"query","name":"return_cached_emails","schema":{"type":"boolean","default":true},"description":"Controls whether cached emails are included in the initial response when `lookup status = progress`. When set to `false`, all email fields will be null until the lookup is complete and all emails are fully verified. Use /checkStatus or Webhooks to retrieve the completed response with fully verified emails (`status = complete`). Defaults to `true`."},{"in":"query","name":"reveal_detailed_person_enrichment","schema":{"type":"boolean","default":false},"description":"Whether to reveal the detailed person enrichment data for the desired profile"},{"in":"query","name":"reveal_healthcare_enrichment","schema":{"type":"boolean","default":false},"description":"Whether to reveal the healthcare enrichment data for the desired profile"},{"in":"query","name":"reveal_personal_email","schema":{"type":"boolean","default":false},"description":"Whether to reveal the personal email enrichment data for the desired profile"},{"in":"query","name":"reveal_phone","schema":{"type":"boolean","default":false},"description":"Whether to reveal the phone enrichment data for the desired profile"},{"in":"query","name":"reveal_professional_email","schema":{"type":"boolean","default":false},"description":"Whether to reveal the professional email enrichment data for the desired profile"},{"in":"query","name":"title","schema":{"type":"string","minLength":1},"description":"Job title of the desired profile.\n- Example: `Product Manager`"},{"in":"query","name":"webhook_id","schema":{"type":"integer"},"description":"Your webhook's unique ID number. Find it in your API Usage & Settings page."}],"tags":["People Data API"],"security":[{"RocketReachAPIKey":[]}],"responses":{"200":{"headers":{"RR-Request-ID":{"schema":{"type":"string","format":"uuid"},"description":"Lookup unique identifier, will also be sent in the header of webhook."}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UniversalCreditPersonLookupOutputWithMetadata"}}},"description":"Success. Returns the profile data for the person lookup."},"400":{"headers":{"RR-Request-ID":{"schema":{"type":"string","format":"uuid"},"description":"Lookup unique identifier, will also be sent in the header of webhook."}},"description":"Bad Request. The request is malformed or missing required parameters."},"401":{"headers":{"RR-Request-ID":{"schema":{"type":"string","format":"uuid"},"description":"Lookup unique identifier, will also be sent in the header of webhook."}},"description":"Unauthorized. API Key is missing or invalid."},"403":{"headers":{"RR-Request-ID":{"schema":{"type":"string","format":"uuid"},"description":"Lookup unique identifier, will also be sent in the header of webhook."}},"description":"Forbidden. API Key lacks permission to perform this action."},"404":{"headers":{"RR-Request-ID":{"schema":{"type":"string","format":"uuid"},"description":"Lookup unique identifier, will also be sent in the header of webhook."}},"description":"Not Found. The requested resource (e.g., profile) does not exist."},"429":{"headers":{"RR-Request-ID":{"schema":{"type":"string","format":"uuid"},"description":"Lookup unique identifier, will also be sent in the header of webhook."}},"description":"Too Many Requests. API request limit reached -- slow down requests."},"500":{"headers":{"RR-Request-ID":{"schema":{"type":"string","format":"uuid"},"description":"Lookup unique identifier, will also be sent in the header of webhook."}},"description":"Internal Server Error. Unexpected error on RocketReach servers. Try again later."}}}},"/universal/person/bulk_lookup":{"post":{"operationId":"create_universal_person_bulk_lookup","description":"Bulk People Lookup by Criteria","summary":"⭐ Universal Bulk People Lookup API","tags":["People Data API"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UniversalCreditAPIBulkLookupQuery"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/UniversalCreditAPIBulkLookupQuery"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/UniversalCreditAPIBulkLookupQuery"}}},"required":true},"security":[{"RocketReachAPIKey":[]}],"responses":{"200":{"headers":{"RR-Request-ID":{"schema":{"type":"string","format":"uuid"},"description":"Lookup unique identifier, will also be sent in the header of webhook."}},"description":"Success. Bulk lookup request accepted"},"400":{"headers":{"RR-Request-ID":{"schema":{"type":"string","format":"uuid"},"description":"Lookup unique identifier, will also be sent in the header of webhook."}},"description":"Bad Request. The request is malformed or missing required parameters."},"401":{"headers":{"RR-Request-ID":{"schema":{"type":"string","format":"uuid"},"description":"Lookup unique identifier, will also be sent in the header of webhook."}},"description":"Unauthorized. API Key is missing or invalid."},"403":{"headers":{"RR-Request-ID":{"schema":{"type":"string","format":"uuid"},"description":"Lookup unique identifier, will also be sent in the header of webhook."}},"description":"Forbidden. API Key lacks permission to perform this action."},"404":{"headers":{"RR-Request-ID":{"schema":{"type":"string","format":"uuid"},"description":"Lookup unique identifier, will also be sent in the header of webhook."}},"description":"Not Found. The requested resource (e.g., profile) does not exist."},"429":{"headers":{"RR-Request-ID":{"schema":{"type":"string","format":"uuid"},"description":"Lookup unique identifier, will also be sent in the header of webhook."}},"description":"Too Many Requests. API request limit reached -- slow down requests."},"500":{"headers":{"RR-Request-ID":{"schema":{"type":"string","format":"uuid"},"description":"Lookup unique identifier, will also be sent in the header of webhook."}},"description":"Internal Server Error. Unexpected error on RocketReach servers. Try again later."}}}},"/universal/company/lookup":{"get":{"operationId":"create_universal_company_lookup","description":"Search Companies by Criteria","summary":"⭐ Universal Company Lookup API","parameters":[{"in":"query","name":"domain","schema":{"type":"string","minLength":1},"description":"Domain of the desired company to lookup (preferred)."},{"in":"query","name":"id","schema":{"type":"integer"},"description":"RocketReach internal unique company ID"},{"in":"query","name":"linkedin_url","schema":{"type":"string","pattern":"","minLength":1},"description":"LinkedIn URL of the desired company to lookup."},{"in":"query","name":"name","schema":{"type":"string","minLength":1},"description":"Name of the desired company to lookup."},{"in":"query","name":"ticker","schema":{"type":"string","minLength":1},"description":"Stock ticker of the desired company to lookup."}],"tags":["Company Data API"],"security":[{"RocketReachAPIKey":[]}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CompiledCompanyAPISerializerWithExtendedCompanyAttributes"}}},"description":"Success. Returns the profile data for the company lookup."},"400":{"description":"Bad Request. The request is malformed or missing required parameters."},"401":{"description":"Unauthorized. API Key is missing or invalid."},"403":{"description":"Forbidden. API Key lacks permission to perform this action."},"404":{"description":"Not Found. The requested resource (e.g., profile) does not exist."},"429":{"description":"Too Many Requests. API request limit reached -- slow down requests."},"500":{"description":"Internal Server Error. Unexpected error on RocketReach servers. Try again later."}}}},"/universal/person/check_status":{"get":{"operationId":"check_universal_person_lookup_status","description":"Check Universal Person Lookup Status","summary":"⭐ Universal People Lookup Status API","parameters":[{"in":"query","name":"ids","schema":{"type":"array","items":{"type":"integer"}},"description":"List of Profile IDs"}],"tags":["People Data API"],"security":[{"RocketReachAPIKey":[]}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UniversalCreditPersonLookupOutput"}}}},"description":"Success. Returns the status and profile data of the requested profiles."},"400":{"description":"Bad Request. The request is malformed or missing required parameters."},"401":{"description":"Unauthorized. API Key is missing or invalid."},"403":{"description":"Forbidden. API Key lacks permission to perform this action."},"404":{"description":"Not Found. The requested resource (e.g., profile) does not exist."},"429":{"description":"Too Many Requests. API request limit reached -- slow down requests."},"500":{"description":"Internal Server Error. Unexpected error on RocketReach servers. Try again later."}}}}},"components":{"schemas":{"APIBulkLookupQuery":{"type":"object","properties":{"queries":{"type":"array","items":{"$ref":"#/components/schemas/ProfileMatch"},"description":"List of profile lookup queries for between 1 and 100 profiles","example":"[{'linkedin_url': 'https://www.linkedin.com/in/benioff'}, ...]"},"profile_list":{"type":"string","default":"API Bulk Lookup","description":"Name of a profile list to add looked up profiles to upon completion","example":"API Bulk Lookup"},"webhook_id":{"type":"integer","description":"Webhook ID to post lookup results to upon completion. Find your webhook ID [here](https://rocketreach.co/account?section=nav_gen_api).","example":12345}}},"APIKey":{"type":"object","properties":{"api_key":{"type":"string","description":"The API key for your account. You can also find your API key [here](https://rocketreach.co/account?section=nav_gen_api)."}}},"APIPublicCompiledCompanySearchInput":{"type":"object","properties":{"start":{"type":"integer","maximum":10000,"minimum":1,"default":1,"description":"Start index of the request results (counting from 1)"},"page_size":{"type":"integer","maximum":100,"minimum":1,"default":10,"description":"Maximum number of results to return per page [1-100]"},"query":{"$ref":"#/components/schemas/CompanyQuery","description":"Search query object for the request"},"order_by":{"allOf":[{"$ref":"#/components/schemas/OrderByEnum"}],"description":"Specifies the ordering of search results. \"popularity\" matches the default ordering of the Search web app.","default":"relevance","example":"popularity"}}},"APISearchInput":{"type":"object","properties":{"start":{"type":"integer","maximum":10000,"minimum":1,"default":1,"description":"Start index of the request results (counting from 1)"},"page_size":{"type":"integer","maximum":100,"minimum":1,"default":10,"description":"Maximum number of results to return per page [1-100]"},"query":{"$ref":"#/components/schemas/PersonQuery","description":"Search query object for the request"},"order_by":{"allOf":[{"$ref":"#/components/schemas/OrderByEnum"}],"default":"relevance","description":"Specifies the ordering of search results. \"popularity\" matches the default ordering of the Search web app.","example":"popularity"}}},"APIUniversalCreditsPublicCompiledCompanySearchInput":{"type":"object","properties":{"start":{"type":"integer","maximum":10000,"minimum":1,"default":1,"description":"Paginate through search results by returning results starting from this value (counting from 1)."},"page_size":{"type":"integer","maximum":100,"minimum":1,"default":100,"description":"Maximum number of search results to return per page."},"query":{"$ref":"#/components/schemas/CompanyQuery"},"order_by":{"allOf":[{"$ref":"#/components/schemas/OrderByEnum"}],"default":"relevance"}}},"APIUniversalCreditsSearchInput":{"type":"object","properties":{"start":{"type":"integer","maximum":10000,"minimum":1,"default":1,"description":"Paginate through search results by returning results starting from this value (counting from 1)."},"page_size":{"type":"integer","maximum":100,"minimum":1,"default":100,"description":"Maximum number of search results to return per page."},"query":{"$ref":"#/components/schemas/PersonQuery"},"order_by":{"allOf":[{"$ref":"#/components/schemas/OrderByEnum"}],"default":"relevance","description":"Specifies the ordering of search results. \"popularity\" matches the default ordering of the Search web app.\n\n* `relevance` - relevance\n* `popularity` - popularity\n* `score` - score"}}},"CompanyQuarterlyGrowth":{"type":"object","properties":{"year":{"type":"integer"},"quarter":{"type":"integer"},"values":{"type":"array","items":{"type":"integer"},"minLength":3,"maxLength":3,"readOnly":true}}},"CompanyQuery":{"type":"object","properties":{"company_tag":{"type":"array","items":{"type":"string"}},"competitors":{"type":"array","items":{"type":"string"},"description":"Include companies with these competitors"},"description":{"type":"array","items":{"type":"string"},"description":"Include companies with these descriptions"},"domain":{"type":"array","items":{"type":"string"},"description":"Include companies with these domains"},"email_domain":{"type":"array","items":{"type":"string"},"description":"Include companies with these email domains"},"employees":{"type":"array","items":{"type":"string"},"description":"Include companies with this number of employees"},"extended_keyword":{"type":"array","items":{"type":"string"}},"geo":{"type":"array","items":{"type":"string"},"description":"Include companies located in these geographies"},"growth":{"type":"array","items":{"type":"string"},"description":"Include growth numbers for specific departments and time ranges.\n<b>Format:</b> `min_percentage_growth-max_percentage_growth::Department,TimeRange`\n* min_percentage_growth: Minimum growth percentage to filter companies\n* max_percentage_growth: Maximum growth percentage to filter companies\n* Department: Name of the company department (e.g., Engineering, Sales)\n* TimeRange: Duration for the growth metric (e.g., six_months, one_year)\n- Example: `['5-30::Engineering,six_months']`\n- Example: `['-10--20::Sales,one_year']`","example":["5-30::Engineering,six_months"]},"id":{"type":"array","items":{"type":"string"},"description":"Include companies with these RocketReach company IDs"},"industry":{"type":"array","items":{"type":"string"},"description":"Include companies focused in these industries"},"industry_keywords":{"type":"array","items":{"type":"string"},"description":"Include companies focused in industries with these keywords"},"industry_tags":{"type":"array","items":{"type":"string"},"description":"Include companies focused in industries with these tags"},"intent":{"type":"array","items":{"type":"string"},"description":"Search across 37,000 intent topics found [here](https://docs.google.com/spreadsheets/d/1nnk8ZOLr9GUzrPNy1pG_N_gVIhDpkc5XjE3Hh4J8M00/edit?gid=761283207#gid=761283207). Intent is only available on certain plans. Please reach out to our team to learn more."},"is_primary":{"type":"array","items":{"type":"string"}},"job_posting_signal":{"type":"array","items":{"type":"string"},"description":"Hiring signals that identify companies that are actively building out specific departments. Full list of categories [here](https://docs.google.com/spreadsheets/d/1EZPVnOftbHNwDm0aXjiJ79dSpqcZ4JLnrNJPZxKXi5Q/edit?gid=2100271042#gid=2100271042). (Time window options: one_week, one_month, three_months, six_months, one_year)\n- Example: `['Accounting Roles::one_month']`","example":["Accounting Roles::one_month"]},"keyword":{"type":"array","items":{"type":"string"}},"link":{"type":"array","items":{"type":"string"},"description":"Include companies listed with these links"},"location":{"type":"array","items":{"type":"string"},"description":"Include companies located in these locations"},"naics_code":{"type":"array","items":{"type":"string"},"description":"Include companies with these NAICS codes"},"name":{"type":"array","items":{"type":"string"},"description":"Include companies with these names"},"news_signal":{"type":"array","items":{"type":"string"},"description":"Search on news events within the 34 categories listed [here](https://docs.google.com/spreadsheets/d/1EZPVnOftbHNwDm0aXjiJ79dSpqcZ4JLnrNJPZxKXi5Q/edit?gid=577464958#gid=577464958). (Time window options: one_week, one_month, three_months, six_months, one_year)\n- Example: `['Funding::one_month']`","example":["Funding::one_month"]},"news_timestamp":{"type":"array","items":{"type":"string"},"deprecated":true,"description":"news_timestamp deprecated, please use `news_signal`"},"patent_filing_signal":{"type":"array","items":{"type":"string"},"description":"Patent activity at a company. Signal types: `Patent Challenge`, `Patent Grant`, `Portfolio Velocity`, `Uses Law Firm`. (Time window options: one_week, one_month, three_months, six_months, one_year)\n- Example: `['Patent Grant::six_months']`","example":["Patent Grant::six_months"]},"phone":{"type":"array","items":{"type":"string"},"description":"Include companies with these phone numbers"},"primary_industry":{"type":"array","items":{"type":"string"},"description":"Include companies focused in these primary industries"},"product_review_signal":{"type":"array","items":{"type":"string"},"description":"Themes surfacing in customer reviews of a company's products, such as pricing concerns or reliability issues. Signal types: `Active Churn`, `Competitor Mentions`, `Customer Support Complaints`, `Integration Problems`, `Missing Features`, `Pricing Concerns`, `Recurring Product Issues`, `Reliability Issues`, `Usability Issues`. (Time window options: one_week, one_month, three_months, six_months, one_year)\n- Example: `['Pricing Concerns::three_months']`","example":["Pricing Concerns::three_months"]},"publicly_traded":{"type":"array","items":{"type":"string"},"description":"Include companies that are publically traded"},"revenue":{"type":"array","items":{"type":"string"},"description":"Include companies with these revenue values"},"sec_filing_signal":{"type":"array","items":{"type":"string"},"description":"Companies that filed a given SEC form. Signal types: `10-K Filing`, `10-Q Filing`, `20-F Filing`, `6-K Filing`, `8-K Filing`. (Time window options: one_week, one_month, three_months, six_months, one_year)\n- Example: `['10-K Filing::three_months']`","example":["10-K Filing::three_months"]},"seo_website_traffic_signal":{"type":"array","items":{"type":"string"},"description":"Month-over-month shifts in a company's estimated website traffic. Signal types: `Sustained Decline`, `Sustained Growth`, `Traffic Decline`, `Traffic Surge`. (Time window options: one_week, one_month, three_months, six_months, one_year)\n- Example: `['Traffic Surge::three_months']`","example":["Traffic Surge::three_months"]},"sic_code":{"type":"array","items":{"type":"string"},"description":"Include companies with these SIC codes"},"simplified_keyword":{"type":"array","items":{"type":"string"}},"techstack":{"type":"array","items":{"type":"string"},"description":"Include companies working in these techstacks"},"total_funding":{"type":"array","items":{"type":"string"},"description":"Include companies who have raised this amount of capital"},"website_category":{"type":"array","items":{"type":"string"},"description":"Include companies with websites in these categories"},"website_intelligence_signal":{"type":"array","items":{"type":"string"},"description":"Changes detected on a company's own website, such as product launches, pricing changes and team expansion. Signal types: `Acquisition`, `Branding Change`, `Community Engagement`, `Compliance Update`, `Contact Update`, `Customer Win`, `Event Announcement`, `Executive Change`, `Expansion`, `Feature Launch`, `Feature Update`, `Funding News`, `Geographic Expansion`, `Market Data`, `Marketing Campaign`, `Marketing Channel`, `Marketing Content`, `Marketing Shift`, `Media & Press`, `Operational Change`, `Other`, `Partnership Announcement`, `Pricing Change`, `Pricing Promotion`, `Product Expansion`, `Product Highlight`, `Product Launch`, `Product Removal`, `Product Update`, `Program Launch`, `Project Update`, `Recognition & Award`, `Service Update`, `Target Audience Shift`, `Team Expansion`, `Technical Update`, `Technology Adoption`, `Website Update`. (Time window options: one_week, one_month, three_months, six_months, one_year)\n- Example: `['Product Launch::three_months']`","example":["Product Launch::three_months"]},"website_url":{"type":"array","items":{"type":"string"},"description":"Include companies with these website URLs"}}},"CompiledCompanyAPI":{"type":"object","description":"Serializes purchased company fields when looked up.","properties":{"id":{"type":"integer","description":"RocketReach internal unique company ID","example":123456},"name":{"type":"string","description":"Name of the company"},"domain":{"type":"string","description":"Web domain for the company"},"email_domain":{"type":"string","description":"Email domain for the company"},"website_domain":{"type":["string","null"],"readOnly":true,"description":"Website for the company"},"ticker_symbol":{"type":["string","null"],"description":"Ticker symbol for the company (if available)"},"links":{"type":["object","null"],"properties":{"facebook":{"type":"string"},"twitter":{"type":"string"},"linkedin":{"type":"string"}},"readOnly":true,"description":"Social media links for the company"},"year_founded":{"type":["integer","null"],"readOnly":true,"description":"Year the company was founded"},"address":{"$ref":"#/components/schemas/CompiledCompanyAddress","description":"Street address of the company"},"phone":{"type":["string","null"],"description":"Phone number for the company"},"fax":{"type":["string","null"],"description":"Fax number for the company"},"num_employees":{"type":["integer","null"],"description":"Number of employees working at the company"},"revenue":{"type":["integer","null"],"description":"Revenue of the company"},"funding_investors":{"type":"array","items":{"type":"string"},"description":"List of names of founding investors for the company"},"industry":{"type":["string","null"],"readOnly":true,"description":"Industry of the company"},"sic_codes":{"type":"array","items":{"type":"integer"},"description":"List of SIC codes for the company. Standard Industrial Classification (SIC) codes, are four-digit numerical codes used to categorize businesses by their primary industry"},"rr_profile_url":{"type":"string","readOnly":true,"description":"URL of the RocketReach company profile page for the company"},"description":{"type":["string","null"],"description":"Description of the company"},"industry_keywords":{"type":"array","items":{"type":"string"},"readOnly":true,"description":"List of industry keywords for the company"}}},"CompiledCompanyAPISerializerWithExtendedCompanyAttributes":{"type":"object","description":"Serializes purchased company fields when looked up.","properties":{"id":{"type":"integer","description":"RocketReach internal unique company ID","example":123456},"name":{"type":"string","description":"Name of the company"},"domain":{"type":"string","description":"Web domain for the company"},"email_domain":{"type":"string","description":"Email domain for the company"},"website_domain":{"type":["string","null"],"readOnly":true,"description":"Website for the company"},"ticker_symbol":{"type":["string","null"],"description":"Ticker symbol for the company (if available)"},"links":{"type":["object","null"],"properties":{"facebook":{"type":"string"},"twitter":{"type":"string"},"linkedin":{"type":"string"}},"readOnly":true,"description":"Social media links for the company"},"year_founded":{"type":["integer","null"],"readOnly":true,"description":"Year the company was founded"},"address":{"$ref":"#/components/schemas/CompiledCompanyAddress","description":"Street address of the company"},"phone":{"type":["string","null"],"description":"Phone number for the company"},"fax":{"type":["string","null"],"description":"Fax number for the company"},"num_employees":{"type":["integer","null"],"description":"Number of employees working at the company"},"revenue":{"type":["integer","null"],"description":"Revenue of the company"},"funding_investors":{"type":"array","items":{"type":"string"},"description":"List of names of founding investors for the company"},"industry":{"type":["string","null"],"readOnly":true,"description":"Industry of the company"},"sic_codes":{"type":"array","items":{"type":"integer"},"description":"List of SIC codes for the company. Standard Industrial Classification (SIC) codes, are four-digit numerical codes used to categorize businesses by their primary industry"},"rr_profile_url":{"type":"string","readOnly":true,"description":"URL of the RocketReach company profile page for the company"},"description":{"type":["string","null"],"description":"Description of the company"},"industry_keywords":{"type":"array","items":{"type":"string"},"readOnly":true,"description":"List of industry keywords for the company"},"naics_codes":{"type":"array","items":{"type":"integer"},"description":"List of NAICS codes for the company. North American Industry Classification System (NAICS) codes are used to classify businesses by their primary industry"},"techstack":{"type":"array","items":{"type":"string"},"description":"List of technologies used by the company"},"industries":{"type":"array","items":{"type":"string"},"description":"List of industries the company operates in"},"competitors":{"type":["array","null"],"items":{"type":"string"},"readOnly":true,"description":"List of competitors for the company"},"departments":{"type":"object","additionalProperties":{"type":"integer"},"readOnly":true,"description":"List of departments within the company"},"company_growth":{"type":"array","items":{"$ref":"#/components/schemas/CompanyQuarterlyGrowth"},"readOnly":true,"description":"Growth rate of the company"}}},"CompiledCompanyAddress":{"type":"object","properties":{"description":{"type":"string","readOnly":true,"description":"Description of the company location"},"street":{"type":"string","readOnly":true,"description":"Street of the company address"},"city":{"type":"string","readOnly":true,"description":"City of the company address"},"region":{"type":"string","readOnly":true,"description":"Region of the company address"},"region_code":{"type":"string","readOnly":true,"description":"Region code of the company address"},"postal_code":{"type":"string","readOnly":true,"description":"Postal code of the company address"},"country":{"type":"string","readOnly":true,"description":"Country of the company address"},"country_code":{"type":"string","readOnly":true,"description":"Country code of the company address"}}},"CompiledCompanyPublicDetails":{"type":"object","description":"Serializer for company details (API).","properties":{"id":{"type":"integer","description":"RocketReach internal unique company ID","example":123456},"name":{"type":"string","description":"Name of the company"},"email_domain":{"type":"string","description":"Email domain for the company"},"ticker_symbol":{"type":"string","description":"Ticker symbol for the company (if available)"},"industry_str":{"type":"string","description":"Industry of the company"},"city":{"type":"string","description":"City of the company"},"region":{"type":"string","description":"Region of the company"},"country_code":{"type":"string","description":"Country code of the company"}}},"CreditUsage":{"type":"object","properties":{"credit_type":{"type":"string"},"allocated":{"type":"integer","description":"Value will be 'inf' if infinity"},"used":{"type":"integer"},"remaining":{"type":"integer","description":"Value will be 'inf' if infinity"}}},"EducationAPI":{"type":"object","properties":{"major":{"type":["string","null"],"description":"Primary field of study of the educational experience"},"school":{"type":["string","null"],"description":"School/University of the educational experience"},"degree":{"type":["string","null"],"description":"Degree obtained through the educational experience"},"start":{"type":["integer","null"],"description":"Start date of the educational experience"},"end":{"type":["integer","null"],"description":"End date of the educational experience"}}},"EmailVerifyChecks":{"type":"object","properties":{"format_valid":{"type":["boolean","null"],"description":"Whether the address is well-formed. Null when the check did not run."},"domain_valid":{"type":["boolean","null"],"description":"Whether the address's domain accepts mail. Null when the check did not run."},"disposable":{"type":["boolean","null"],"description":"Whether the address belongs to a disposable or high-risk provider. Null when the check did not run."},"catchall":{"type":["boolean","null"],"description":"Whether the domain accepts mail at any address. Null when the check did not run."}}},"EmailVerifyInput":{"type":"object","properties":{"email":{"type":"string","description":"The email address to verify. At most 254 characters.","maxLength":254}}},"EmailVerifyInsufficientCredits":{"type":"object","properties":{"detail":{"type":"string","description":"A human-readable explanation, including a link to the account page."},"error_code":{"type":"integer","description":"Always 202, the RocketReach \"insufficient credits\" code."},"credit_type":{"type":"string","description":"Always `email_verification`, the credit pool this request needed. Read this to tell the error apart from a 402 raised for any other credit type."},"purchase_url":{"type":"string","format":"uri","description":"The RocketVerify account page, where the credit balance can be reviewed."}}},"EmailVerifyOutput":{"type":"object","properties":{"email":{"type":"string","description":"The address that was verified, canonicalized."},"status":{"allOf":[{"$ref":"#/components/schemas/EmailVerifyOutputStatusEnum"}],"description":"valid: the mailbox accepts mail. invalid: it does not, or the address is malformed, disposable or risky. catchall: the domain accepts mail at any address and this mailbox could not be confirmed either way. unknown: deliverability could not be determined. status and checks.catchall answer different questions: on a catch-all domain whose mailbox we could still confirm, status is valid while checks.catchall is true.\n\n* `valid` - valid\n* `invalid` - invalid\n* `catchall` - catchall\n* `unknown` - unknown"},"credits_charged":{"type":"integer","description":"Email verification credits consumed by this request: 1, or 0 when the status is unknown or the email is incorrectly formatted (checks.format_valid is false), because those results are refunded."},"mx_record":{"type":["string","null"],"description":"The domain's primary MX host. Null when the domain publishes none and also when the address has no domain or the lookup did not resolve, so it is not on its own evidence that mail cannot be delivered."},"checks":{"allOf":[{"$ref":"#/components/schemas/EmailVerifyChecks"}],"description":"The individual checks behind the status. Each is null when it did not run."}}},"EmailVerifyOutputStatusEnum":{"enum":["valid","invalid","catchall","unknown"],"type":"string","description":"* `valid` - valid\n* `invalid` - invalid\n* `catchall` - catchall\n* `unknown` - unknown"},"JobHistoryAPICompiledCompany":{"type":"object","properties":{"start_date":{"type":["string","null"],"description":"Start date of the work experience"},"end_date":{"type":"string","default":"Present","description":"End date of the work experience (Present if experience is current)"},"company":{"type":["string","null"],"description":"Name of the company"},"company_name":{"type":"string","description":"Name of the company"},"company_id":{"type":["integer","null"],"description":"RocketReach internal unique company ID"},"company_linkedin_url":{"type":"string","readOnly":true,"description":"Linkedin URL of the company"},"company_city":{"type":"string","readOnly":true,"description":"City of the company's location"},"company_region":{"type":"string","readOnly":true,"description":"Region of the company's location"},"company_country_code":{"type":"string","readOnly":true,"description":"Country code of the company's location"},"department":{"type":"string","description":"Department of the work experience"},"title":{"type":"string","description":"Job title of the work experience"},"highest_level":{"type":"string","description":"Highest level of the work experience"},"description":{"type":"string","description":"Description of the work experience"},"last_updated":{"type":"string","format":"date-time","description":"Timestamp of the last update of this work experience"},"sub_department":{"type":["string","null"],"description":"Sub-department of the work experience"},"is_current":{"type":"boolean","default":false,"description":"True if the experience is the profile's current role, False otherwise"}}},"LookupTypeEnum":{"enum":["standard","premium","premium (feeds disabled)","bulk","phone","enrich"],"type":"string","description":"* `standard` - standard\n* `premium` - premium\n* `premium (feeds disabled)` - premium (feeds disabled)\n* `bulk` - bulk\n* `phone` - phone\n* `enrich` - enrich"},"OrderByEnum":{"enum":["relevance","popularity","score"],"type":"string"},"PersonQuery":{"type":"object","properties":{"all_skills":{"type":"array","items":{"type":"string"},"description":"Include profiles with all of these skills (Uses `AND` logic).\n- Example: `['python', 'sql', 'machine learning']`","example":["python","sql","machine learning"]},"company_competitors":{"type":"array","items":{"type":"string"},"description":"Include profiles with employers who have these competitors\n- Example: `['homedepot.com']`","example":["homedepot.com"]},"company_country_code":{"type":"array","items":{"type":"string"},"description":"`company_country_code` deprecated, please use `company_geo` instead.","deprecated":true},"company_domain":{"type":"array","items":{"type":"string"},"description":"Include profiles with employers who have these company domains.\n- Example: `['rocketreach.co']`","example":["rocketreach.co"]},"company_email":{"type":"array","items":{"type":"string"},"description":"Include profiles with employers who have these company emails\n- Example: `['info@rocketreach.co']`","example":["info@rocketreach.co"]},"company_funding":{"type":"array","items":{"type":"string"},"description":"Include profiles with employers with these total funding values.\n- Example: `['1000000-10000000']`","example":["1000000-10000000"]},"company_funding_max":{"type":"array","items":{"type":"string"},"description":"`company_funding_max` deprecated, please use `company_funding` instead","deprecated":true},"company_funding_min":{"type":"array","items":{"type":"string"},"description":"`company_funding_min` deprecated, please use `company_funding` instead","deprecated":true},"company_geo":{"type":"array","items":{"type":"string"},"description":"Include results matching company_geo."},"company_id":{"type":"array","items":{"type":"string"},"description":"Include profiles with employed by these company IDs\n- Example: `['123456']`","example":["123456"]},"company_industry":{"type":"array","items":{"type":"string"},"description":"Include profiles with employers in these industries. See the full list of industries [here](https://docs.google.com/spreadsheets/d/1cYz3FwtNEWW7z9otNNZRIILQ63_hM1LQ9SgsXWayaaI/edit?gid=0#gid=0).\n- Example: `['Software Engineering']`","example":["Software Engineering"]},"company_industry_keywords":{"type":"array","items":{"type":"string"},"description":"Include profiles with employers with these industry keywords\n- Example: `['SaaS', 'B2B']`","example":["SaaS","B2B"]},"company_intent":{"type":"array","items":{"type":"string"},"description":"Search across 37,000 intent topics found [here](https://docs.google.com/spreadsheets/d/1nnk8ZOLr9GUzrPNy1pG_N_gVIhDpkc5XjE3Hh4J8M00/edit?gid=761283207#gid=761283207). Intent is only available on certain plans. Please reach out to our team to learn more.\n- Example: `['hiring']`","example":["hiring"]},"company_job_posting_signal":{"type":"array","items":{"type":"string"},"description":"Hiring signals that identify companies that are actively building out specific departments. Full list of categories [here](https://docs.google.com/spreadsheets/d/1EZPVnOftbHNwDm0aXjiJ79dSpqcZ4JLnrNJPZxKXi5Q/edit?gid=2100271042#gid=2100271042). (Time window options: one_week, one_month, three_months, six_months, one_year)\n- Example: `['Accounting Roles::one_month']`","example":["Accounting Roles::one_month"]},"company_linkedin_url":{"type":"array","items":{"type":"string"},"description":"Include profiles who are employed at companies with these LinkedIn URLs.\n- Example: `['https://www.linkedin.com/company/rocketreach.co']`","example":["https://www.linkedin.com/company/rocketreach.co"]},"company_list":{"type":"array","items":{"type":"string"},"description":"Transforms [ company_list ] search terms into a list of [ company_id ] search terms.\n- Example: `['Example Company List']`","example":["Example Company List"]},"company_list_id":{"type":"array","items":{"type":"string"},"description":"Include results matching company_list_id.\n- Example: `['12345']`","example":["12345"]},"company_naics_code":{"type":"array","items":{"type":"string"},"description":"Include profiles with employers with these NAICS codes\n- Example: `['541330', '541512']`","example":["541330","541512"]},"company_name":{"type":"array","items":{"type":"string"},"description":"Include profiles employed by these company names\n- Example: `['RocketReach']`","example":["RocketReach"]},"company_news_signal":{"type":"array","items":{"type":"string"},"description":"Search on news events within the 34 categories listed [here](https://docs.google.com/spreadsheets/d/1EZPVnOftbHNwDm0aXjiJ79dSpqcZ4JLnrNJPZxKXi5Q/edit?gid=577464958#gid=577464958). (Time window options: one_week, one_month, three_months, six_months, one_year)\n- Example: `['Funding::one_month']`","example":["Funding::one_month"]},"company_news_timestamp":{"type":"array","items":{"type":"string"},"description":"company_news_timestamp deprecated, please use `company_news_signal`","deprecated":true,"example":["mergers & acquisitions::one_month"]},"company_patent_filing_signal":{"type":"array","items":{"type":"string"},"description":"Patent activity at a company. Signal types: `Patent Challenge`, `Patent Grant`, `Portfolio Velocity`, `Uses Law Firm`. (Time window options: one_week, one_month, three_months, six_months, one_year)\n- Example: `['Patent Grant::six_months']`","example":["Patent Grant::six_months"]},"company_product_review_signal":{"type":"array","items":{"type":"string"},"description":"Themes surfacing in customer reviews of a company's products, such as pricing concerns or reliability issues. Signal types: `Active Churn`, `Competitor Mentions`, `Customer Support Complaints`, `Integration Problems`, `Missing Features`, `Pricing Concerns`, `Recurring Product Issues`, `Reliability Issues`, `Usability Issues`. (Time window options: one_week, one_month, three_months, six_months, one_year)\n- Example: `['Pricing Concerns::three_months']`","example":["Pricing Concerns::three_months"]},"company_publicly_traded":{"type":"array","items":{"type":"string"},"description":"Include results matching company_publicly_traded.\n- Example: `['true']`","example":["true"]},"company_revenue":{"type":"array","items":{"type":"string"},"description":"Include profiles with employers with these revenue values.\n- Example: `['10000000-50000000']`","example":["10000000-50000000"]},"company_sec_filing_signal":{"type":"array","items":{"type":"string"},"description":"Companies that filed a given SEC form. Signal types: `10-K Filing`, `10-Q Filing`, `20-F Filing`, `6-K Filing`, `8-K Filing`. (Time window options: one_week, one_month, three_months, six_months, one_year)\n- Example: `['10-K Filing::three_months']`","example":["10-K Filing::three_months"]},"company_seo_website_traffic_signal":{"type":"array","items":{"type":"string"},"description":"Month-over-month shifts in a company's estimated website traffic. Signal types: `Sustained Decline`, `Sustained Growth`, `Traffic Decline`, `Traffic Surge`. (Time window options: one_week, one_month, three_months, six_months, one_year)\n- Example: `['Traffic Surge::three_months']`","example":["Traffic Surge::three_months"]},"company_sic_code":{"type":"array","items":{"type":"string"},"description":"Include profiles with employers with these SIC codes.\n- Example: `['7372']`","example":["7372"]},"company_size":{"type":"array","items":{"type":"string"},"description":"Include profiles with employers with these sizes.\n- Example: `['51-200']`","example":["51-200"]},"company_tag":{"type":"array","items":{"type":"string"},"description":"Include profiles with employers with these company tags.\n- Example: `['unicorn']`","example":["unicorn"]},"company_website_intelligence_signal":{"type":"array","items":{"type":"string"},"description":"Changes detected on a company's own website, such as product launches, pricing changes and team expansion. Signal types: `Acquisition`, `Branding Change`, `Community Engagement`, `Compliance Update`, `Contact Update`, `Customer Win`, `Event Announcement`, `Executive Change`, `Expansion`, `Feature Launch`, `Feature Update`, `Funding News`, `Geographic Expansion`, `Market Data`, `Marketing Campaign`, `Marketing Channel`, `Marketing Content`, `Marketing Shift`, `Media & Press`, `Operational Change`, `Other`, `Partnership Announcement`, `Pricing Change`, `Pricing Promotion`, `Product Expansion`, `Product Highlight`, `Product Launch`, `Product Removal`, `Product Update`, `Program Launch`, `Project Update`, `Recognition & Award`, `Service Update`, `Target Audience Shift`, `Team Expansion`, `Technical Update`, `Technology Adoption`, `Website Update`. (Time window options: one_week, one_month, three_months, six_months, one_year)\n- Example: `['Product Launch::three_months']`","example":["Product Launch::three_months"]},"company_website_url":{"type":"array","items":{"type":"string"},"description":"Include profiles with employers with these website URLs.\n- Example: `['rocketreach.co']`","example":["rocketreach.co"]},"connections":{"type":"array","items":{"type":"string"},"description":"Include profiles with these connections.\n- Example: `['500+']`","example":["500+"]},"contact_method":{"type":"array","items":{"type":"string"},"description":"Include profiles with these contact methods Options are: `mobile`, `direct dial`, `office phone`, `personal email`, and `work email`. Available with both AND (,) and OR (|) logic.\n- Example: `['work email|personal email']` or `['mobile,personal email']`","example":["work email"]},"current_or_previous_title":{"type":"array","items":{"type":"string"},"description":"Include results matching current or previous job titles.\n- Example: `['VP of Sales']`","example":["VP of Sales"]},"current_title":{"type":"array","items":{"type":"string"},"description":"Include profiles with these current job titles.\n- Example: `['Product Manager']`","example":["Product Manager"]},"degree":{"type":"array","items":{"type":"string"},"description":"Include profiles with these degrees.\n- Example: `['Bachelors']`","example":["Bachelors"]},"department":{"type":"array","items":{"type":"string"},"description":"Include profiles in these company departments. See the full list of departments [here](https://docs.google.com/spreadsheets/d/1EZPVnOftbHNwDm0aXjiJ79dSpqcZ4JLnrNJPZxKXi5Q/edit?gid=0#gid=0).\n- Example: `['Product Management']`","example":["Product Management"]},"description":{"type":"array","items":{"type":"string"},"description":"Include profiles with these descriptions.\n- Example: `['Experienced software engineer with a focus on backend development']`","example":["Experienced software engineer with a focus on backend development"]},"domain":{"type":"array","items":{"type":"string"},"description":"`domain` deprecated, please use `company_domain` instead.","deprecated":true},"email":{"type":"array","items":{"type":"string"},"description":"Include profiles with these emails.\n- Example: `['john.doe@rocketreach.co']`","example":["john.doe@rocketreach.co"]},"email_grade":{"type":["string","null"],"description":"Specifies the minimum email confidence grade that a profile must have. Note: Email grades may be revalidated during lookup. As a result, you may occasionally see profiles whose email grade no longer matches the grade filter used in your search. Use the following format to specify personal or professional email grades: `<grade>::<modifier>`\n- Allowed Grades: A, A-, or B.\n- Allowed Modifiers: professional only, personal only\n- Example: `'A-'` or `'A-::professional only'`","example":"A-"},"employer":{"type":"array","items":{"type":"string"},"description":"Include profiles employed by these companies.\n- Example: `['RocketReach']`","example":["RocketReach"]},"geo":{"type":"array","items":{"type":"string"},"description":"Include profiles located in these geographies. <b>Format:</b> [<a href=\"https://docs.google.com/spreadsheets/d/11nUvEUgCwAPkvmqgT8x6rHtolna1Ajg4eXdy4pZPDms/edit?gid=0#gid=0\" target=\"_blank\" rel=\"noopener noreferrer\">City</a>], [<a href=\"https://docs.google.com/spreadsheets/d/11nUvEUgCwAPkvmqgT8x6rHtolna1Ajg4eXdy4pZPDms/edit?gid=369849597#gid=369849597\" target=\"_blank\" rel=\"noopener noreferrer\">Region</a>], [<a href=\"https://docs.google.com/spreadsheets/d/11nUvEUgCwAPkvmqgT8x6rHtolna1Ajg4eXdy4pZPDms/edit?gid=330246379#gid=330246379\" target=\"_blank\" rel=\"noopener noreferrer\">Country Code</a>]\n- Example: `['San Francisco, CA, US']` or `['Boston, MA, US']`","example":["San Francisco, CA, US"]},"growth":{"type":"array","items":{"type":"string"},"description":"Include growth numbers for specific departments and time ranges.\n<b>Format:</b> `min_percentage_growth-max_percentage_growth::Department,TimeRange`\n* min_percentage_growth: Minimum growth percentage to filter profiles\n* max_percentage_growth: Maximum growth percentage to filter profiles\n* Department: Name of the company department (e.g., Engineering, Sales)\n* TimeRange: Duration for the growth metric (e.g., six_months, one_year)\n- Example: `['5-30::Engineering,six_months']`\n- Example: `['-10--20::Sales,one_year']`","example":["5-30::Engineering,six_months"]},"handle":{"type":"array","items":{"type":"string"},"description":"Include results matching handle.\n- Example: `['johndoe']`","example":["johndoe"]},"health_credentials":{"type":"array","items":{"type":"string"},"description":"Include profiles with these health credentials. Only available on certain plans. Please reach out to our team to learn more.\n- Example: `['MD', 'RN', 'PhD']`","example":["MD","RN","PhD"]},"health_license":{"type":"array","items":{"type":"string"},"description":"Include profiles with these health licenses. Only available on certain plans. Please reach out to our team to learn more.\n- Example: `['MA12345']`","example":["MA12345"]},"health_npi":{"type":"array","items":{"type":"string"},"description":"Include profiles with these health NPIs. Only available on certain plans. Please reach out to our team to learn more.\n- Example: `['1234567890']`","example":["1234567890"]},"health_specialization":{"type":"array","items":{"type":"string"},"description":"Include profiles with these health specializations. Only available on certain plans. Please reach out to our team to learn more.\n- Example: `['Cardiology']`","example":["Cardiology"]},"id":{"type":"array","items":{"type":"string"},"description":"Include profiles with these RocketReach Profile IDs.\n- Example: `['123456']`","example":["123456"]},"job_change_range_days":{"type":"array","items":{"type":"string"},"description":"job_change_range_days deprecated, please use `job_change_signal`","deprecated":true,"example":["30"]},"job_change_signal":{"type":"array","items":{"type":"string"},"description":"Detect when a contact changes companies or gets promoted (Time window options: one_week, one_month, three_months)\n- Example: `['Company Change::one_month']`\n- Example: `['Promotion::one_week']`","example":["Company Change::one_month"]},"keyword":{"type":["string","null"],"description":"Include results matching keyword.\n- Example: `['data enrichment']`","example":["data enrichment"]},"keywords":{"type":["string","null"],"description":"Include results matching keywords.\n- Example: `['sales prospecting', 'data enrichment']`","example":["sales prospecting","data enrichment"]},"link":{"type":"array","items":{"type":"string"},"description":"Include results matching link.\n- Example: `['https://linkedin.com/in/johndoe']`","example":["https://linkedin.com/in/johndoe"]},"major":{"type":"array","items":{"type":"string"},"description":"Include profiles with these majors.\n- Example: `['Computer Science', 'Biology']`","example":["Computer Science","Biology"]},"management_levels":{"type":"array","items":{"type":"string"},"description":"Include profiles at these management levels. See the full list of management levels [here](https://docs.google.com/spreadsheets/d/1EZPVnOftbHNwDm0aXjiJ79dSpqcZ4JLnrNJPZxKXi5Q/edit?gid=0#gid=0).\n- Example: `['Director']`","example":["Director"]},"name":{"type":"array","items":{"type":"string"},"description":"Include profiles with these names.\n- Example: `['John Doe']`","example":["John Doe"]},"phone":{"type":"array","items":{"type":"string"},"description":"Include profiles with these phone numbers.\n- Example: `['+15555555555']`","example":["+15555555555"]},"phone_grade":{"type":"array","items":{"type":"string"},"description":"Specifies the minimum phone confidence grade that a profile must have. Allowed grades: `A`, `A-`, or `B`\n- Example: `['A-']`","example":["A-"]},"previous_company_id":{"type":"array","items":{"type":"string"},"description":"Include profiles who were previously employed at these RocketReach\ncompany IDs.\n- Example: `['123456']`","example":["123456"]},"previous_employer":{"type":"array","items":{"type":"string"},"description":"Include profiles who were previously employed at these companies.\n- Example: `['Google']`","example":["Google"]},"previous_title":{"type":"array","items":{"type":"string"},"description":"Include results matching previous_title.\n- Example: `['Software Engineer']`","example":["Software Engineer"]},"school":{"type":"array","items":{"type":"string"},"description":"Include profiles who attended these schools.\n- Example: `['Stanford University']`","example":["Stanford University"]},"skills":{"type":"array","items":{"type":"string"},"description":"Include profiles listed with any of these skills (Uses `OR` logic).\n- Example: `['Python', 'SQL']`","example":["Python","SQL"]},"state":{"type":"array","items":{"type":"string"},"description":"`state` deprecated, please use `geo` instead.","deprecated":true},"update_time":{"type":"array","items":{"type":"string"},"description":"Include results that have been updated since the specified date.\n- Example: `['2025-01-01']`","example":["2025-01-01"]},"years_experience":{"type":"array","items":{"type":"string"},"description":"Include profiles with this many years of experience.\n- Example: `['10']`","example":["10"]}}},"Plan":{"type":"object","properties":{"id":{"type":"integer","maximum":2147483647,"minimum":-2147483648,"description":"RocketReach internal unique plan ID"},"name":{"type":"string","maxLength":64,"description":"Name of the plan"},"lookup_limit":{"type":"integer","description":"Maximum number of lookups for the plan"},"export_limit":{"type":"integer","description":"Maximum number of exports for the plan"}}},"ProfileAPICompiledCompany":{"type":"object","properties":{"profile_list":{"allOf":[{"$ref":"#/components/schemas/ProfileListAPI"}],"readOnly":true,"description":"Profile List this contact was added to."},"id":{"type":"integer","readOnly":true,"description":"RocketReach internal unique profile ID"},"status":{"type":"string","readOnly":true,"description":"Status of the profile lookup. Either \"complete\", \"progress\", \"searching\" or \"not queued\"","example":"progress"},"name":{"type":["string","null"],"maxLength":128,"description":"Name of the profile"},"profile_pic":{"type":["string","null"],"readOnly":true,"description":"profile_pic deprecated","deprecated":true},"linkedin_url":{"type":["string","null"],"readOnly":true,"description":"LinkedIn URL of the profile"},"connections":{"type":"integer","description":"Number of LinkedIn connections for this profile"},"links":{"type":"object","additionalProperties":{},"description":"Social media links for the profile"},"location":{"type":["string","null"],"maxLength":256,"description":"Location of the profile"},"current_title":{"type":["string","null"],"readOnly":true,"description":"Current job title of the profile"},"current_employer":{"type":["string","null"],"readOnly":true,"description":"Current employer of the profile"},"current_employer_id":{"type":"integer","description":"RocketReach internal unique company ID"},"current_employer_domain":{"type":["string","null"],"description":"Domain for the employer of the profile"},"current_employer_website":{"type":["string","null"],"description":"Website for the employer of the profile"},"current_employer_linkedin_url":{"type":["string","null"],"description":"LinkedIn URL for the employer of the profile"},"current_employer_industry":{"type":["string","null"],"description":"This person's company's industry."},"job_history":{"type":"array","items":{"$ref":"#/components/schemas/JobHistoryAPICompiledCompany"},"description":"List of professional experiences for the profile"},"education":{"type":"array","items":{"$ref":"#/components/schemas/EducationAPI"},"description":"List of educational experiences for the profile"},"skills":{"type":["array","null"],"items":{"type":"string"},"description":"List of skills for the profile"},"birth_year":{"type":"integer","description":"Year of birth of the profile"},"region_latitude":{"type":["number","null"],"format":"double","description":"Latitude of the region of the profile"},"region_longitude":{"type":["number","null"],"format":"double","description":"Longitude of the region of the profile"},"city":{"type":["string","null"],"maxLength":128,"description":"City of the profile"},"region":{"type":["string","null"],"maxLength":3,"description":"Region of the profile"},"country":{"type":"string","readOnly":true,"description":"Country of the profile"},"country_code":{"type":["string","null"],"maxLength":2,"description":"Country code of the profile"},"npi_data":{"type":"object","description":"List of NPI data objects for the profile","properties":{"npi_number":{"type":"string"},"credentials":{"type":"string"},"license_number":{"type":"string"},"specialization":{"type":"string"}},"readOnly":true},"tags":{"type":"string","readOnly":true},"return_cached_emails":{"type":"boolean","readOnly":true,"description":"Indicates if cached emails were returned in the initial synchronous response. If false, email fields will be null until the lookup is complete."},"linkedin_url_active":{"type":"boolean","description":"Indicates if the LinkedIn profile exists or is no longer available.\n* `True` = Active (as of last update)\n* `False` = Unavailable (as of last update)","readOnly":true},"recommended_email":{"type":["string","null"],"readOnly":true,"description":"Recommended email for the profile"},"recommended_personal_email":{"type":["string","null"],"readOnly":true,"description":"Recommended personal email for the profile"},"recommended_professional_email":{"type":["string","null"],"readOnly":true,"description":"Recommended professional email for the profile"},"current_work_email":{"type":["string","null"],"readOnly":true,"description":"Current work email for the profile"},"current_personal_email":{"type":["string","null"],"readOnly":true,"description":"Current personal email for the profile"},"emails":{"type":"array","items":{"$ref":"#/components/schemas/ProfileEmailAPI"},"readOnly":true,"description":"List of email objects for the profile"},"phones":{"type":"array","items":{"$ref":"#/components/schemas/ProfilePhoneAPI"},"readOnly":true,"description":"List of phone number objects for the profile"},"current_employer_phone":{"allOf":[{"$ref":"#/components/schemas/ProfilePhoneAPI"}],"readOnly":true,"description":"Office phone number object for the profile's current employer. These are not direct lines to the person."}}},"ProfileAPISerializerWithCompiledCompany":{"type":"object","properties":{"profile_list":{"allOf":[{"$ref":"#/components/schemas/ProfileListAPI"}],"readOnly":true,"description":"Profile List this contact was added to."},"id":{"type":"integer","readOnly":true,"description":"RocketReach internal unique profile ID"},"status":{"type":"string","readOnly":true,"description":"Status of the profile lookup. Either \"complete\", \"progress\", \"searching\" or \"not queued\"","example":"progress"},"name":{"type":["string","null"],"maxLength":128,"description":"Name of the profile"},"profile_pic":{"type":["string","null"],"readOnly":true,"description":"profile_pic deprecated","deprecated":true},"linkedin_url":{"type":["string","null"],"readOnly":true,"description":"LinkedIn URL of the profile"},"connections":{"type":"integer","description":"Number of LinkedIn connections for this profile"},"links":{"type":"object","additionalProperties":{},"description":"Social media links for the profile"},"location":{"type":["string","null"],"maxLength":256,"description":"Location of the profile"},"current_title":{"type":["string","null"],"readOnly":true,"description":"Current job title of the profile"},"current_employer":{"type":["string","null"],"readOnly":true,"description":"Current employer of the profile"},"current_employer_id":{"type":"integer","description":"RocketReach internal unique company ID"},"current_employer_domain":{"type":["string","null"],"description":"This person's company's domain name."},"current_employer_website":{"type":["string","null"],"description":"This person's company's website."},"current_employer_linkedin_url":{"type":["string","null"],"description":"This person's company's LinkedIn URL."},"current_employer_industry":{"type":["string","null"],"description":"This person's company's industry."},"job_history":{"type":"array","items":{"$ref":"#/components/schemas/JobHistoryAPICompiledCompany"},"description":"List of professional experiences for the profile"},"education":{"type":"array","items":{"$ref":"#/components/schemas/EducationAPI"},"description":"List of educational experiences for the profile"},"skills":{"type":["array","null"],"items":{"type":"string"},"description":"List of skills for the profile"},"birth_year":{"type":"integer","description":"Year of birth of the profile"},"region_latitude":{"type":["number","null"],"format":"double","description":"Latitude of the region of the profile"},"region_longitude":{"type":["number","null"],"format":"double","description":"Longitude of the region of the profile"},"city":{"type":["string","null"],"maxLength":128,"description":"City of the profile"},"region":{"type":["string","null"],"maxLength":3,"description":"Region of the profile"},"country":{"type":"string","readOnly":true,"description":"Country of the profile"},"country_code":{"type":["string","null"],"maxLength":2,"description":"Country code of the profile"},"npi_data":{"type":"object","description":"List of NPI data objects for the profile","properties":{"npi_number":{"type":"string"},"credentials":{"type":"string"},"license_number":{"type":"string"},"specialization":{"type":"string"}},"readOnly":true},"tags":{"type":"string","readOnly":true},"return_cached_emails":{"type":"boolean","readOnly":true,"description":"Indicates if cached emails were returned in the initial synchronous response. If false, email fields will be null until the lookup is complete."},"linkedin_url_active":{"type":"boolean","description":"Indicates if the LinkedIn profile exists or is no longer available.\n* `True` = Active (as of last update)\n* `False` = Unavailable (as of last update)","readOnly":true},"recommended_email":{"type":["string","null"],"readOnly":true,"description":"Recommended email for the profile"},"recommended_personal_email":{"type":["string","null"],"readOnly":true,"description":"Recommended personal email for the profile"},"recommended_professional_email":{"type":["string","null"],"readOnly":true,"description":"Recommended professional email for the profile"},"current_work_email":{"type":["string","null"],"readOnly":true,"description":"Current work email for the profile"},"current_personal_email":{"type":["string","null"],"readOnly":true,"description":"Current personal email for the profile"},"emails":{"type":"array","items":{"$ref":"#/components/schemas/ProfileEmailAPI"},"readOnly":true,"description":"List of email objects for the profile"},"phones":{"type":"array","items":{"$ref":"#/components/schemas/ProfilePhoneAPI"},"readOnly":true,"description":"List of phone number objects for the profile"},"current_employer_phone":{"allOf":[{"$ref":"#/components/schemas/ProfilePhoneAPI"}],"readOnly":true,"description":"Office phone number object for the profile's current employer. These are not direct lines to the person."},"company":{"$ref":"#/components/schemas/CompiledCompanyAPI","description":"Object representing the employer of the profile"}}},"ProfileAPIWithMetadataCompiledCompany":{"type":"object","properties":{"profile_list":{"allOf":[{"$ref":"#/components/schemas/ProfileListAPI"}],"readOnly":true,"description":"Profile List this contact was added to."},"id":{"type":"integer","readOnly":true},"status":{"type":"string","readOnly":true,"description":"Either \"complete\", \"progress\", \"searching\" or \"not queued\". A status other than \"complete\" indicates the lookup is not finished, and the contact info is not fully available yet."},"name":{"type":["string","null"],"maxLength":128},"profile_pic":{"type":["string","null"],"readOnly":true,"description":"profile_pic deprecated","deprecated":true},"linkedin_url":{"type":["string","null"],"readOnly":true},"connections":{"type":"integer","description":"Number of LinkedIn connections for this profile"},"links":{"type":"object","additionalProperties":{}},"location":{"type":["string","null"],"maxLength":256},"current_title":{"type":["string","null"],"readOnly":true},"current_employer":{"type":["string","null"],"readOnly":true},"current_employer_id":{"type":"integer"},"current_employer_domain":{"type":["string","null"],"description":"This person's company's domain name."},"current_employer_website":{"type":["string","null"],"description":"This person's company's website."},"current_employer_linkedin_url":{"type":["string","null"],"description":"This person's company's LinkedIn URL."},"current_employer_industry":{"type":["string","null"],"description":"This person's company's industry."},"job_history":{"type":"array","items":{"$ref":"#/components/schemas/JobHistoryAPICompiledCompany"}},"education":{"type":"array","items":{"$ref":"#/components/schemas/EducationAPI"}},"skills":{"type":["array","null"],"items":{"type":"string"}},"birth_year":{"type":"integer"},"region_latitude":{"type":["number","null"],"format":"double"},"region_longitude":{"type":["number","null"],"format":"double"},"city":{"type":["string","null"],"maxLength":128},"region":{"type":["string","null"],"maxLength":3},"country":{"type":"string","readOnly":true},"country_code":{"type":["string","null"],"maxLength":2},"npi_data":{"type":"object","description":"The format of the NPI data that is serialized to the UI on the search page.","properties":{"npi_number":{"type":"string"},"credentials":{"type":"string"},"license_number":{"type":"string"},"specialization":{"type":"string"}},"readOnly":true},"tags":{"type":"string","readOnly":true},"return_cached_emails":{"type":"boolean","readOnly":true,"description":"Indicates if cached emails were returned in the initial synchronous response. If false, email fields will be null until the lookup is complete."},"linkedin_url_active":{"type":"boolean","description":"Indicates if the LinkedIn profile exists or is no longer available.\"\n* `True` = Active (as of last update)\n* `False` = Unavailable (as of last update)","readOnly":true},"recommended_email":{"type":["string","null"],"readOnly":true},"recommended_personal_email":{"type":["string","null"],"readOnly":true},"recommended_professional_email":{"type":["string","null"],"readOnly":true},"current_work_email":{"type":["string","null"],"readOnly":true},"current_personal_email":{"type":["string","null"],"readOnly":true},"emails":{"type":"array","items":{"$ref":"#/components/schemas/ProfileEmailAPI"},"readOnly":true},"phones":{"type":"array","items":{"$ref":"#/components/schemas/ProfilePhoneAPI"},"readOnly":true},"current_employer_phone":{"allOf":[{"$ref":"#/components/schemas/ProfilePhoneAPI"}],"readOnly":true,"description":"Office phone number object for the profile's current employer. These are not direct lines to the person."},"metadata":{"type":"object","additionalProperties":{},"readOnly":true,"description":"User metadata about the profile, such as external ids, tags, notes, etc."}}},"ProfileEmailAPI":{"type":"object","properties":{"email":{"type":"string","readOnly":true,"description":"The email address.\n- Example: `info@rocketreach.co`","example":"info@rocketreach.co"},"smtp_valid":{"type":["string","null"],"readOnly":true,"description":"SMTP validation result. Options are `valid`, `invalid`, `accept-all`, or `unknown`.\n- Example: `valid`","example":"valid"},"type":{"type":["string","null"],"readOnly":true,"description":"The type of email address. Options are `personal`, `professional`, `disposable`, or `role-based`.\n- Example: `professional`","example":"professional"},"last_validation_check":{"type":["string","null"],"readOnly":true,"description":"Timestamp of the last validation check of the email address.\n- Example: `2026-01-01T12:00:00Z`","example":"2026-01-01T12:00:00Z"},"grade":{"type":"string","readOnly":true,"description":"RocketReach internal grade for the email. See <a href=\"https://knowledgebase.rocketreach.co/hc/en-us/articles/360047771994\">Email Grades</a> for details.","example":"A-"}}},"ProfileListAPI":{"type":"object","properties":{"id":{"type":"integer","readOnly":true,"description":"RocketReach internal unique profile list ID","example":123456},"name":{"type":"string","readOnly":true,"description":"Name of the profile list","example":"Example List Name"}}},"ProfileMatch":{"type":"object","properties":{"id":{"type":"integer","description":"RocketReach internal unique profile ID.\n- Example: `123456`","example":123456},"name":{"type":"string","description":"Name of the desired profile. Must specify along with `current_employer`.\n- Example: `Jamie Gullbrand`","example":"Jamie Gullbrand"},"current_employer":{"type":"string","description":"Current employer of the desired profile. Must specify along with `name`.\n- Example: `RocketReach`","example":"RocketReach"},"title":{"type":"string","description":"Job title of the desired profile.\n- Example: `Product Manager`","example":"Product Manager"},"linkedin_ext_url":{"type":"string","description":"linkedin_ext_url deprecated, please use `linkedin_url`","pattern":"","deprecated":true},"linkedin_url":{"type":"string","description":"LinkedIn URL of the desired profile.\n- Example: `www.linkedin.com/in/jamesgullbrand`","pattern":"","example":"www.linkedin.com/in/jamesgullbrand"},"email":{"type":"string","format":"email","description":"An email address for the desired profile.\n- Example: `jamie@rocketreach.co`","example":"jamie@rocketreach.co"},"phone":{"type":"string","description":"A phone number for the desired profile in either E.164 format or international format.\n- Example: `+15555555555`"},"npi_number":{"type":"integer","description":"An NPI number for the desired profile (US healthcare professional)\n- Example: `1234567890`","example":"1234567890"},"lookup_type":{"allOf":[{"$ref":"#/components/schemas/LookupTypeEnum"}],"description":"Lookup type for the request\n\n* `standard` - standard\n* `premium` - premium\n* `premium (feeds disabled)` - premium (feeds disabled)\n* `bulk` - bulk\n* `phone` - phone\n* `enrich` - enrich","default":"standard","example":"standard"},"metadata":{"type":["object","null"],"additionalProperties":{},"description":"User metadata about the profile, such as external ids, tags, notes, etc."}}},"ProfilePhoneAPI":{"type":"object","properties":{"number":{"type":"string","description":"The phone number in international format\n- Example: `+1 234-555-6789`","example":"+1 234-555-6789"},"e164":{"type":["string","null"],"description":"The phone number in E.164 format\n- Example: `+12345556789`","example":"+12345556789"},"country_code":{"type":["string","null"],"description":"The country code associated with the phone number\n- Example: `1` for United States","example":"1"},"extension":{"type":["string","null"],"description":"The phone extension, if applicable\n- Example: `123`","example":"123"},"type":{"type":"string","default":"other","description":"The type of phone number. Options are `mobile`, `direct dial`, or `other`.\n- Example: `mobile`","example":"mobile"},"grade":{"type":"string","description":"Phone confidence grade.\n- `A` = Best: Confirmed as valid phone and strong identity match signals.\n- `A-` = Likely: Confirmed as valid phone, but unable to confirm identity.\n- `B` = Possible:  Worth trying, especially if better options are not available.","example":"A"},"validity":{"type":"string","default":"unknown","description":"validity deprecated, please use `grade` instead.","deprecated":true,"example":"valid"},"recommended":{"type":"boolean","default":false,"description":"Indicates whether this is the recommended phone number to use as the best option for connecting with the person.\n- Example: `true`","example":true},"premium":{"type":"boolean","default":false,"description":"`premium` deprecated","deprecated":true,"example":true},"last_checked":{"type":"string","format":"date-time","description":"`last_checked` deprecated","deprecated":true}}},"ProfileSearchResultSerializerBase":{"type":"object","properties":{"id":{"type":"integer","readOnly":true,"description":"RocketReach internal unique profile ID"},"status":{"allOf":[{"$ref":"#/components/schemas/ProfileSearchResultSerializerBaseStatusEnum"}],"readOnly":true,"description":"Status of the
[...]
